package com.rjconsultores.ventaboletos.web.gui.controladores.esquemaoperacional;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Controller;
import org.zkoss.zk.ui.Component;
import org.zkoss.zk.ui.Executions;

import com.rjconsultores.ventaboletos.entidad.ConfRestricaoCanalVenta;
import com.rjconsultores.ventaboletos.service.ConfRestricaoCanalVentaService;
import com.rjconsultores.ventaboletos.web.utilerias.MyGenericForwardComposer;
import com.rjconsultores.ventaboletos.web.utilerias.MyListbox;

@Controller("editarConfRestricaoCanalVentaController")
@Scope("prototype")
public class EditarConfRestricaoCanalVentaController extends MyGenericForwardComposer {

	private static final long serialVersionUID = 1L;
	@Autowired
	private ConfRestricaoCanalVentaService confRestricaoCanalVentaService;
	private ConfRestricaoCanalVenta confRestricaoCanalVenta;
	private MyListbox confRestricaoCanalVentaList;

	public ConfRestricaoCanalVenta getConfRestricaoCanalVenta() {
		return confRestricaoCanalVenta;
	}

	public void setConfRestricaoCanalVenta(ConfRestricaoCanalVenta confRestricaoCanalVenta) {
		this.confRestricaoCanalVenta = confRestricaoCanalVenta;
	}

	@Override
	public void doAfterCompose(Component comp) throws Exception {
		confRestricaoCanalVenta = (ConfRestricaoCanalVenta) Executions.getCurrent().getArg().get("confRestricaoCanalVenta");
		confRestricaoCanalVentaList = (MyListbox) Executions.getCurrent().getArg().get("confRestricaoCanalVentaList");

		super.doAfterCompose(comp);
	}
}
